=== src/csv/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)

FILE(GLOB OBDCSV_SRCS
	*.c *.h
)

SET(OBDCSV_LIBS
	cksqlite
)

FIND_PACKAGE(ZLIB)
IF(ZLIB_FOUND)
	SET(OBDCSV_LIBS ${OBDCSV_LIBS} ${ZLIB_LIBRARIES})
	INCLUDE_DIRECTORIES(ZLIB_INCLUDE_DIR)
	ADD_DEFINITIONS(-DHAVE_ZLIB)
ELSE(ZLIB_FOUND)
	MESSAGE(STATUS "Couldn't find zlib. Will not compile gzip support in obd2csv")
ENDIF(ZLIB_FOUND)

IF("${CMAKE_SYSTEM}" MATCHES "Linux")
        SET(OBDCSV_LIBS ${OBDCSV_LIBS} pthread dl)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Linux")

ADD_EXECUTABLE(obd2csv ${OBDCSV_SRCS})

TARGET_LINK_LIBRARIES(obd2csv ${OBDCSV_LIBS})

INSTALL(TARGETS obd2csv
	RUNTIME DESTINATION bin)
