=== src/kml/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)

FILE(GLOB OBDKML_SRCS
	*.c *.h
)

SET(OBDKML_LIBS
	cksqlite m
)

IF("${CMAKE_SYSTEM}" MATCHES "Linux")
        SET(OBDKML_LIBS ${OBDKML_LIBS} pthread dl)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Linux")

ADD_EXECUTABLE(obd2kml ${OBDKML_SRCS})

TARGET_LINK_LIBRARIES(obd2kml ${OBDKML_LIBS})

INSTALL(TARGETS obd2kml
	RUNTIME DESTINATION bin)
