=== src/repair/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)

FILE(GLOB OBDREPAIR_SRCS
	*.c *.h
)

SET(OBDREPAIR_LIBS
	cksqlite
)

IF("${CMAKE_SYSTEM}" MATCHES "Linux")
        SET(OBDREPAIR_LIBS ${OBDREPAIR_LIBS} pthread dl)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Linux")

ADD_EXECUTABLE(obdlogrepair ${OBDREPAIR_SRCS})

TARGET_LINK_LIBRARIES(obdlogrepair ${OBDREPAIR_LIBS})

INSTALL(TARGETS obdlogrepair
	RUNTIME DESTINATION bin)
